﻿//////////////////////////////////////////////
// ExporterLoadResultWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkExportWrap
{
	class DLL_ASTRAEUS_EXPORT ExporterLoadResultWrapper final
	{
		private :

			// Constructeur, destructeur
			ExporterLoadResultWrapper () = delete ;
			~ExporterLoadResultWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			// Construction / destruction
			static void destructor (void* toDestroy) ;
			// Getters
			static nkScripts::OutputValue getTree (void* object) ;
			static nkScripts::OutputValue getError (void* object) ;
	} ;
}