﻿//////////////////////////////////////////////
// ObjMeshDecoder.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../../../Dll/DllDefines.h"

#include "../MeshDecoder.h"

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT ObjMeshDecoder final : public MeshDecoder
	{
		public :

			// Constructeur, destructeur
			ObjMeshDecoder () ;
			~ObjMeshDecoder () ;

			// Décodage
			virtual bool canDecode (const nkMemory::BufferView<>& sources) override ;
			virtual bool decode (const nkMemory::BufferView<>& sources, Mesh* outMesh) override ;
	} ;
}