﻿//////////////////////////////////////////////
// HdrFormat.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkImages
{
	enum class HDR_FORMAT
	{
		RGB = 0,
		XYZ
	} ;

	class HdrFormatUtils final
	{
		public :

			// Conversions
			static HDR_FORMAT convertStringToFormat (const nkMemory::StringView& str) ;
			static nkMemory::StringView convertFormatToString (HDR_FORMAT format) ;
	} ;
}