﻿//////////////////////////////////////////////
// GlesShaderResourceCommand.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class ShaderResource ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../GlesCommand.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesShaderResourceCommand final : public GlesCommand
	{
		private :
		
			// Attributs
			// Resource info
			ShaderResource* _res ;
			unsigned int _slot ;
		
		public :
		
			// Constructor, destructor
			GlesShaderResourceCommand (ShaderResource* texOrUav, unsigned int slot) ;
			~GlesShaderResourceCommand () ;

			// Execution
			virtual void execute () override ;
	} ;
}