﻿//////////////////////////////////////////////
// GlesSwitchShaderCommand.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics::gles
{
	class GlesShader ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../GlesCommand.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesSwitchShaderCommand final : public GlesCommand
	{
		private :

			// Attributes
			GlesShader* _newShader ;

		public :

			// Constructor, destructor
			GlesSwitchShaderCommand (GlesShader* newShader) ;
			~GlesSwitchShaderCommand () ;

			// Execution
			virtual void execute () override ;
	} ;
}