﻿//////////////////////////////////////////////
// GlesCommandList.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics::gles
{
	class GlesCommand ;
}

/// Includes ---------------------------------

// Standards
#include <vector>

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesCommandList final
	{
		private :

			std::vector<GlesCommand*> _commands ;

		public :

			// Constructor, destructor
			GlesCommandList () ;
			~GlesCommandList () ;

			// Command manipulation
			void append (GlesCommand* command) ;
			void clear () ;
			void execute () const ;
	} ;
}